Subject: Ticket Assigned - Did not get my order! 6486594244 ام تصل
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 12 May 2020 10:25:14 +0000

Hi Haedar Mohammad,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Did not get my order! 6486594244 ام تصل 
 المنتجات رقم 
6486594244

When tracking my order as seen below it states that the order was delivered it has not.  I have been calling the number given ‭800 1111629‬ since Saturday, but have not been connected to anyone. No customer care answered. I have emailed as well  as I note see that my contact number was written incorrectly my number is 0559222222.

1- I have not received my order.
2- my contact number is 0559222222

A AlOthaim 
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/894184